function [En1, En2, Fd] = Parametros_OndaF(ecg_ondaF,w,p,fs)

df=fs/length(ecg_ondaF);

%Banda de frecuencia de la onda F
fini=round(4.5/df)+1;
ffin=round(5.5/df)+1;

%Banda de frecuencia base más amplia:
fini2=round(0.5/df)+1;
ffin2=round(10/df)+1;

%En1=sum(p(fini:ffin))/sum(p(fini2:ffin2));
En1=sum(p(fini:ffin))/sum(p(:));
En2=sum(p(fini:ffin))/sum(p(fini2:ffin2));

%Se obtiene la frecuencia predominante en la banda de frecuencias, quitando el pico inicial menor a 2Hz:
intervalo=find(w>3);
[Pmax,i]=max(p(intervalo));
Fd=w(intervalo(i));
end

